It's me Mike again

Discussion in 'Introduce Yourself' started by MIKE34655, Apr 16, 2020.

  1. MIKE34655

    MIKE34655

    Joined:
    Apr 16, 2020
    Messages:
    1
    Likes Received:
    0
    I played this before and it was long time, I cant join back bc it keeps saying the server is outdated. I need help getting back into it
     
  2. Ayrtonbeauy

    Ayrtonbeauy Moderator Supporter

    Joined:
    Aug 15, 2018
    Messages:
    260
    Likes Received:
    88
    ayrtonbeauy
    Mod
    Are you sure your in the correct minecraft version? We support 1.10 - 1.15
     
  3. SuspressedRifle

    SuspressedRifle Member

    Joined:
    Jan 6, 2019
    Messages:
    76
    Likes Received:
    11
    PeaceKeeper__
    We support that range and 1.11.2 or 1.12.2 might be the best solution if nothing else works. Majority of our community plays on 1.11.2 or 1.12.2, therefore it should be working
     
  4. Phantis

    Phantis Supporter

    Joined:
    Oct 20, 2016
    Messages:
    424
    Likes Received:
    111
    Phantis
    Supporter
    Did you end up figuring it out?